          section   TEXT

          xdef      _fi2_unlk
          xref      __usefi2
          xref      __freefi2
          xref      __getext

* Prototype: int fi2_unlk(char * ext);

_fi2_unlk MOVEM.L   D3/A2/A4,-(SP)                Save the context.
          MOVE.L    #'UNLK',D2                    Extension to be used.
          JSR       __usefi2                      Use it.
          BNE.S     FI2UNLK1                      If error, return now.
          MOVEA.L   16(SP),A1                     Address of "ext" string.
          JSR       __getext                      Get the "ext" name.
          BNE.S     FI2UNLK2                      If error, return now.
          MOVEQ     #-1,D2                        Mandatory.
          JSR       (A4)                          Call the extension.
FI2UNLK2  JSR       __freefi2                     Free the extension thing.
FI2UNLK1  MOVEM.L   (SP)+,D3/A2/A4                Restore the context.
          RTS                                     Return to calling function.

          end
